import request from "@/utils/request";

// 查询设备告警日志列表
export function listAlertLog(query) {
  return request({
    url: "/device/alertLog/list",
    method: "get",
    params: query,
  });
}

// 查询设备告警日志详细
export function getAlertLog(alertLogId) {
  return request({
    url: "/device/alertLog/" + alertLogId,
    method: "get",
  });
}

// 新增设备告警日志
export function addAlertLog(data) {
  return request({
    url: "/device/alertLog",
    method: "post",
    data: data,
  });
}

// 修改设备告警日志
export function updateAlertLog(data) {
  return request({
    url: "/device/alertLog",
    method: "put",
    data: data,
  });
}

// 删除设备告警日志
export function delAlertLog(alertLogId) {
  return request({
    url: "/device/alertLog/" + alertLogId,
    method: "delete",
  });
}
